//****************************************************************************
//
//										  6502.h
//
//****************************************************************************

extern	int		Keys[13];
extern	int		skipit;

extern	int		CompTable[256];				// plus/4 memory	

extern	int		__A;							// registers
extern	int		__X;
extern	int		__Y;
extern	int		__SP;
extern	int		__F;
extern	int		__PC;
	
extern	int		*pMemory;				// plus/4 memory	
extern	int		Memory[65536];				// plus/4 memory	
extern	int		pROM[32768];				// plus/4 ROM
extern	int		ReadProfile[65536];
extern	int		WriteProfile[65536];
extern	int		ExecuteProfile[65536];
extern	int		MaxRead;
extern	int		MaxWrite;
extern	int		MaxExecute;

extern	int		ROM1[16384];
extern	int		ROM2[16384];
extern	int		ROM3[16384];
extern	int		ROM4[16384];
extern	int		ROM5[16384];
extern	int		ROM6[16384];
extern	int		ROM7[16384];
extern	int		ROM8[16384];

extern	int		*pRom0;
extern	int		*pRom1;
extern	int		*pRom2;
extern	int		*pRom3;
extern	int		*pRom4;
extern	int		*pRom5;
extern	int		*pRom6;
extern	int		*pRom7;

extern	int		*pRomLo;		// current LOW rom...
extern	int		*pRomHi;		// current HI rom

extern	int		Cycles;
extern	int		opcode;

extern	int		data;
extern	int		d1;

extern	int		ROM,ROMACTIVE;


extern	void MakeCompTable( );
extern	void Init6502( );
extern	void Process6502( );
extern	void Poke(int address,int val);
extern	void POKE (int address,int val);
extern	int Deek(int address);
extern	int Peek(int address);
extern	void DOKE (int address,int val);

extern	void DushReg (int reg);
extern	void PushReg (int reg);

extern	int GETAWORD( );
extern	int	GETABYTE ( );

extern	void PatternFillMemory( void );
extern	void ResetPlus4( void );
