//****************************************************************************
//
//										  DISASM.h
//
//****************************************************************************

	extern		uint8		opcode;
	extern		uint32	debug;
	extern		char		disline[256];
	extern		int		adder;
	extern		uint32	Location;	
	extern		uint32	LocationValue;	
	extern		uint8		TextColour;
	extern		uint8		CallTable[65536];
	extern		int32		RangeLow,RangeHigh;
	extern		uint32	CallBranchAddress;
	extern		int32		SymbolTable;			// Look up addresses in symbol table?

extern	void Disassemble( unsigned short PC_address );
extern	void PrintLineC ( int x,int y, char *s );
extern	void SetPrintCol(uint8 Col);
extern	void SetBackCol(uint8 Col);
extern	void SetTextCol(uint8 Col);
extern	void ClearCallTable( void );
extern	void Pack( char *pName );

