#ifndef _MAIN_H_
#define _MAIN_H_

#include <sound.h>
#include <CSound.h>
#include <mmsystem.h>

	extern	int32			framerate, currentframe;
	extern	int				debugger;
	extern	int				DisplayFPS;
	extern	int				PauseCounter;
	extern	uint32			dReady;
	extern	char			Rom0Name[2048];			// ROM file names
	extern	char			Rom1Name[2048];			
	extern	char			Rom2Name[2048];
	extern	char			Rom3Name[2048];
	extern	char			Rom4Name[2048];
	extern	char			Rom5Name[2048];			
	extern	char			Rom6Name[2048];
	extern	char			Rom7Name[2048];

	extern	int				Joy1Enable;			
	extern	int				Joy2Enable;			
	extern	int				g_JoyOnKeys;
	extern	int				g_SoundActive;

	extern	DSBPOSITIONNOTIFY           rgdsbpn[NUMEVENTS];
	extern	HANDLE                      rghEvent[NUMEVENTS];


	extern	void	ProcessSound( int dIndex );
	extern	void	CopySoundBuffers( int32 dBuffer );
	extern	void	InitSound( void );
	extern	void	FreeSound( void );

	extern	void	SetupColours( void );
	extern	void	*MyMalloc (uint32 size);
	extern	void	DoFree (void *Address);
	extern	void	ProcessMain( );
	extern	int		InitProgram();
	extern	int		QuitProgram();
	extern	int		FrameRateCounter;

#endif