#ifndef _PROCESS_H_
#define _PROCESS_H_

typedef	struct	tList{
		char	item[32];		// List box item...
		uint32	Data1;
		uint32	Data2;
struct	tList	*pNext;			// pointer to NEXT text item...
}tList;

extern	uint8	FileBuffer[65536];
extern	int		SectorBuffer[];
extern	tList	*pFirst;
extern	tList	*pLast;
extern	char	szD64Image[2048];
extern	char	g_szTAPImage[2048];

extern	int		g_LoadOnlyPRG;


extern	void	ConvertScreen ( void );
extern	void	InitProcessor( void );
extern	int		LoadMemoryData ( int *pMemory, int address, char *name );


extern	tList* AddD64Item( char *pText, uint32 ID1, uint32 ID2 );
extern	void	DeleteD64List( void );
extern	tList*	FindD64Item( uint32 i );
extern	uint8*	Load ( char *name );
extern	uint8*	LoadD64 ( char *name );
extern	int		LoadPrgFromD64 ( uint8 *pMemory, uint8 Track, uint8 Sector );

extern	void	ProcessDiskDrive ( int	DMA_STORE );

#endif