// ******************************************************************
//
//	Plus4 hardware class!
//
// ******************************************************************
#include <CHardware.h>

class	CDiskDrive: CHardware
{
public:
	int		m_pMemory[65536];				// plus/4 memory
	
	CDiskDrive();
	~CDiskDrive();

	// overload peek and poke to hit PLUS4 hardware
	void	Poke( int address, int val );			// writes to memory and affects hardware
	void	POKE( int address, int val );			// write to memory. doesn't affect hardware
	void	DOKE( int address, int val );			// write "WORD" to memory. Don't affect hardware
	int		Peek( int address );					// get byte from memory
	int		Deek( int address );					// get a WORD from memory

};

