// ******************************************************************
//
//	A generic machine hardware class
//
// ******************************************************************
class	CHardware
{
public:
//	CHardware();
//	~CHardware();

	void	Poke( int address, int val ) { return; }			// writes to memory and affects hardware
	void	POKE( int address, int val ) { return; }			// write to memory. doesn't affect hardware
	void	DOKE( int address, int val ) { return; }			// write "WORD" to memory. Don't affect hardware
	int		Peek( int address )			 { return 0; }			// get byte from memory
	int		Deek( int address )			 { return 0; }			// get a WORD from memory

	// get RAW data from RAM - if its possible
	int		GetByte( int address )		 { return 0; }			// get a byte from UNDER rom's - if possible, if not return rom byte
	int		GetWord( int address )		 { return 0; }			// get a word from UNDER rom's - if possible, if not return rom byte
	int		Init( void )				 { return 0; }			// 0 = okay.							
};

